=== debian/control ===
Source: cinelerra-cv
Section: video
Priority: optional
Maintainer: Cinelerra-CV mailing list <cinelerra@lists.cinelerra-cv.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), automake,
 libasound2-dev (>= 1.0.4), libdv4-dev (>= 1.0.0), 
 libavcodeccvs51-dev | libavcodec-dev, 
 libmp3lame-dev | liblame-dev (>= 3.92), libvorbis-dev (>= 1.0.0),
 libogg-dev (>= 1.1.2), libtool (>= 1.5), liba52-0.7.4-dev (>= 0.7.4), 
 libtheora-dev (>=0.0.0.alpha4) | libtheora-mmx-dev (>=0.0.0.alpha4),
 libpng12-dev (>= 1.2.5), libjpeg8-dev | libjpeg-dev,
 libtiff4-dev (>= 3.6.0) | libtiff5-dev,
 libesd0-dev (>= 0.2.28), libaudiofile-dev (>= 0.2.3), 
 libraw1394-dev (>= 1.2.0), libavc1394-dev (>= 0.4.1),
 libfreetype6-dev (>= 2.2.1), libfontconfig-dev | libfontconfig1-dev, nasm, uuid-dev, 
 docbook-to-man, libfaad2-dev | libfaad-dev, libmjpegtools-dev (>= 1.6.2), 
 libopenexr-dev (>= 1.1.1), libxxf86vm-dev (>=6.8.2), libfftw3-dev | fftw3-dev,
 libsndfile1-dev, libiec61883-dev (>= 1.0.0), libx264-dev,
 libfaac-dev (>= 1.24), libx11-dev, libxext-dev, libxft-dev,
 libxv-dev, libxxf86vm-dev, libglu1-mesa-dev,
 libopencv-core-dev, libopencv-objdetect-dev, libopencv-legacy-dev
Homepage: http://www.cinelerra-cv.org/

Package: cinelerra-cv
Conflicts: cinelerra
Section: video
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libguicast1-cv (= ${binary:Version}),
 libquicktimecine-cv (= ${binary:Version}), libmpeg3cine-cv (= ${binary:Version}),
 mjpegtools (>= 1.6.2), debianutils
Description: Non-linear audio/video authoring tool
 Cinelerra-CV is a complete audio and video authoring
 tool. It understands a lot of multimedia formats
 (quicktime, avi, ogg) and audio/video compression
 codecs (divx, xvid, mpeg1/2, ...). This is the 
 community-maintained version of Cinelerra.

Package: libguicast1-cv
Conflicts: libguicast1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: toolkit library (cinelerra's internal)
 libguicast is a toolkit library mainly used by HeroineVirtual's
 software.

Package: libquicktimecine-cv
Conflicts: libquicktimecine
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Quicktime 4 Linux Cinelerra internal library
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libquicktimecine-cv-dev
Conflicts: libquicktimecine-dev
Section: libdevel
Depends: ${misc:Depends}, libquicktimecine-cv (= ${binary:Version})
Architecture: any
Description: Quicktime 4 Linux (Cinelerra internal) library (development files)
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 This package holds development files for the Quicktime 4 Linux library
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libmpeg3cine-cv
Conflicts: libmpeg3cine, mpeg3-utils
Provides: mpeg3-utils
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: advanced editing and manipulation of MPEG streams (cinelerra's internal) 
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libmpeg3cine-cv-dev
Conflicts: libmpeg3cine-dev, libmpeg3-dev
Provides: libmpeg3-dev
Section: libdevel
Depends: ${misc:Depends}, libmpeg3cine-cv (= ${binary:Version})
Architecture: any
Description: advanced editing and manipulation of MPEG streams (development files)
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 This package holds development files for the libmpeg3 library
 .
 For more information, see http://heroinewarrior.com/quicktime.php
